Imports ComponentPro.Net

Namespace ScanImapSample
	Public Class ScanSettings
		Private _proxyServer As String
		Public Property ProxyServer() As String
			Get
				Return _proxyServer
			End Get
			Set(ByVal value As String)
				_proxyServer = value
			End Set
		End Property

		Private _proxyPort As Integer
		Public Property ProxyPort() As Integer
			Get
				Return _proxyPort
			End Get
			Set(ByVal value As Integer)
				_proxyPort = value
			End Set
		End Property

		Private _proxyUser As String
		Public Property ProxyUser() As String
			Get
				Return _proxyUser
			End Get
			Set(ByVal value As String)
				_proxyUser = value
			End Set
		End Property

		Private _proxyPassword As String
		Public Property ProxyPassword() As String
			Get
				Return _proxyPassword
			End Get
			Set(ByVal value As String)
				_proxyPassword = value
			End Set
		End Property

		Private _proxyDomain As String
		Public Property ProxyDomain() As String
			Get
				Return _proxyDomain
			End Get
			Set(ByVal value As String)
				_proxyDomain = value
			End Set
		End Property

		Private _proxyType As ProxyType
		Public Property ProxyType() As ProxyType
			Get
				Return _proxyType
			End Get
			Set(ByVal value As ProxyType)
				_proxyType = value
			End Set
		End Property

		Private _proxyMethod As ProxyHttpConnectAuthMethod
		Public Property ProxyMethod() As ProxyHttpConnectAuthMethod
			Get
				Return _proxyMethod
			End Get
			Set(ByVal value As ProxyHttpConnectAuthMethod)
				_proxyMethod = value
			End Set
		End Property

		Private _timeout As Integer
		Public Property Timeout() As Integer
			Get
				Return _timeout
			End Get
			Set(ByVal value As Integer)
				_timeout = value
			End Set
		End Property
	End Class
End Namespace
